import { jsx as u } from "@emotion/react/jsx-runtime";
import { createContext as i, useMemo as s, useContext as c } from "react";
const e = i(void 0);
function v(o) {
  const { children: n, value: t } = o, r = s(() => t, [t]);
  return /* @__PURE__ */ u(e.Provider, { value: r, children: n });
}
function a() {
  return c(e);
}
export {
  e as HostRuntimeContext,
  v as HostRuntimeProvider,
  a as useHostRuntime
};
